﻿using Xamarin.Forms;
using System.Diagnostics;
using System;
using System.Threading.Tasks;
using System.Net.Http;

namespace TestPrism.Views
{
	public partial class MainPage : ContentPage
	{
		public MainPage()
		{
			InitializeComponent();
		}

		async void Handle_Clicked(object sender, System.EventArgs e)
		{
			try{
				var response = await GetData();
				Debug.WriteLine(response);
			}
			catch (Exception ex)
			{
				Debug.WriteLine("Get Data Exception: {0}", ex.Message);
			}
		}

		public async Task<string> GetData()
		{
			using (var httpClient = new HttpClient())
			using (var response = await httpClient.GetAsync("https://www.google.com"))
			using (var content = response.Content)
			{
				string result = await content.ReadAsStringAsync();
				return result;
			}
		}
	}
}

